//焦点滚动图
var QJ = QJ || {};
QJ.banner = {//焦点图
    move: function (ul, m, i, t) {//移动图片
        //m = $(document.body).width();
        //m < 1200 ? m = 1200 : m;
        m = ul.children().width();
        ul.stop(false, true).animate({marginLeft: -(m * i)}, t, function () {
            // $(this).children().siblings().removeClass('animate');
            // $(this).children().eq(i).addClass("animate");
        });
    },
    tab: function (ol, cur, i) {//切换焦点
        ol.children().siblings().removeClass(cur);
        ol.children().eq(i).addClass(cur);
    },
    auto: function (ul, ol, cur, s, m, i, t) {//自动执行
        var i = i || 0, v;
        return v = setInterval(function () {
            if (i >= s) {
                i = 0;
            } else {
                QJ.banner.move(ul, m, i, t);
                QJ.banner.tab(ol, cur, i);
                i++;
            }
        }, t * 3);
    },
    start: function (div, ul, ol, cur, t , auto) {//开始动画[delol没用的参数，暂时不要删除，否则会出错]

        var div = $(div), ul = $(ul), cur = cur, t = t || 1000, q = 0, ol = $(ol),
            liSize = ul.children().size(),
            liWidth = ul.children().outerWidth(true),
            auto = auto || -1
        ul.width(div.width()*liSize);
        ul.children().width(div.width());
        ol.children().width(div.width()/liSize);

        if( auto === -1 ){//是否自动执行
            var auto = QJ.banner.auto(ul, ol, cur, liSize, liWidth, q, t);

            div.hover(function () {//给容器绑定滑过事件[滑过时暂停，离开时执行]
                clearInterval(auto);
            }, function () {
                auto = QJ.banner.auto(ul, ol, cur, liSize, liWidth, q, t);
            });
        }

        //var olliSize = ol.children().length;
        ol.children().each(function (i) {//给焦点绑定事件
            $(this).hover(function () {
                QJ.banner.tab(ol, cur, i);
                QJ.banner.move(ul, liWidth, i, t);
            }, function () {
                q = i
            })//.width((100/olliSize)+"%");
        });
    }
};